Subject: Re: md5sum uses text mode, not binary mode
From: [email-masked] (Michael R Cook)

19 Jun 1998 17:35:02 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
To: [email-masked]
Cc: [email-masked]

[email-masked] writes:

> > Finally, `cat' obviously uses text mode:
> > 
> > 	$ cat foo.exe | wc
> > 	     11      48    2098
> > 	$ ls -l foo.exe
> > 	-r-xr-xr-x   1 544      everyone  1190912 Jun 17 16:15 foo.exe
> > 	$
> > 
> > Clearly, `cat' read only the first 2098 bytes.  I infer that it saw
> > a ^Z and stopped, implying that `cat' reads its files in text mode.
> 
> Here is a flaw in your logic.  It could be that wc is setting its input
> into text mode (indeed this is quite likely since wc is meant to process
> text).

Oops, you're right.

> A better test would be to do:
> 
> 	cat foo.exe >xxx
> 
> and see if xxx and foo.exe look the same.

`cmp' reports them as being the same.

What got me started looking at md5sum was that I noticed I was
getting different numbers from md5sum when I ran the gnu-win32
version, different from the UNIX (SunOS) version.

Strangely, I get the same signature from both `md5sum --binary' and
`md5sum --text'.

M.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".